#include <iostream>

using namespace std;

int main()
{
    int n,L,t,p;
    bool j=false;
    cin>>n>>L;

    for(int i=0;i<n;i++)
    {
        cin>>t;
        if(t<L&&j==false)
        {

            p=i+1;
            j=true;

        }

    }
    if(!j)
        cout<<-1<<endl;
    else
        cout<<p<<endl;


    return 0;
}